%define upstream_name    PHP-Serialization
%define upstream_version 0.34

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Simple flexible means of converting the output of PHP's serialize() into the equivalent Perl memory structure, and vice versa
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/PHP/%{upstream_name}-%{upstream_version}.tar.gz


BuildArch: noarch


%description
Provides a simple, quick means of serializing perl memory structures
(including object data!) into a format that PHP can deserialize() and
access, and vice versa.

NOTE: Converts PHP arrays into Perl Arrays when the PHP array used
exclusively numeric indexes, and into Perl Hashes then the PHP array did
not.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*






%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.340.0-8.mga6
+ Revision: 1032047
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.340.0-7.mga6
+ Revision: 949405
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.340.0-6.mga5
+ Revision: 789658
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.340.0-5.mga5
+ Revision: 749387
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.340.0-4.mga5
+ Revision: 685805
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.340.0-3.mga4
+ Revision: 513775
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.340.0-2.mga3
+ Revision: 371212
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.340.0-1.mga1
+ Revision: 22770
- cleaning spec file
- imported package perl-PHP-Serialization


* Mon Mar 22 2010 Jérôme Quelin <jquelin@mandriva.org> 0.340.0-1mdv2010.1
+ Revision: 526452
- update to 0.34

* Thu Feb 18 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.330.0-1mdv2010.1
+ Revision: 507356
- import perl-PHP-Serialization


* Thu Feb 18 2010 cpan2dist 0.33-1mdv
- initial mdv release, generated with cpan2dist
